> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a record within a list

> Updates list-specific attributes for a record that belongs to a list



## OpenAPI

````yaml patch /v1/lists/{id}/records/{record_id}
openapi: 3.0.0
info:
  description: >-
    REST API for accessing and managing your Nex data. Generate API keys from
    the Nex web UI and use them to authenticate requests.
  title: Nex Developer API
  contact: {}
  version: '1.0'
servers:
  - url: https://app.nex.ai/api/developers
security: []
paths:
  /v1/lists/{id}/records/{record_id}:
    patch:
      tags:
        - Lists
      summary: Update a record within a list
      description: Updates list-specific attributes for a record that belongs to a list
      operationId: updateListRecord
      parameters:
        - description: List ID
          name: id
          in: path
          required: true
          schema:
            type: integer
        - description: Record ID
          name: record_id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/developer.UpdateListRecordRequest'
        description: List record update request
        required: true
      responses:
        '200':
          description: Updated list record
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/developer.UpdateListRecordResponse'
        '400':
          description: Bad request - Invalid data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '404':
          description: List or record not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    developer.UpdateListRecordRequest:
      type: object
      properties:
        attributes:
          description: Attributes to update
          type: object
          additionalProperties: {}
      example:
        attributes:
          status: qualified
          score: 92
          notes: Had a great demo call, ready to move forward
          source: referral
    developer.UpdateListRecordResponse:
      type: object
      properties:
        attributes:
          type: object
          additionalProperties: {}
        created_at:
          type: string
        id:
          type: string
        object_id:
          type: string
        type:
          type: string
        updated_at:
          type: string
        workspace_id:
          type: string
      example:
        id: '32417546405832962'
        object_id: '32417546405832950'
        type: person
        workspace_id: '32417546405832945'
        created_at: '2024-01-20T16:45:00Z'
        updated_at: '2024-01-21T10:30:00Z'
        attributes:
          name:
            first_name: Sarah
            last_name: Chen
          email_addresses:
            - sarah@newstartup.com
          job_title: VP Engineering
          status: qualified
          score: 92
          notes: Had a great demo call, ready to move forward
          source: referral
    httpx.APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: 'API key for authentication (format: "Bearer YOUR_API_KEY")'
      type: apiKey
      name: Authorization
      in: header

````